Author Topic: [SOLVED] Upgrade from 5.1 - dpkg fails  (Read 222 times)

Giblet535

  • Zen Apprentice
  • *
  • Posts: 15
  • Karma: +1/-0
    • View Profile
[SOLVED] Upgrade from 5.1 - dpkg fails
« on: December 06, 2019, 02:11:26 pm »
I upgraded from 5.1, which upgrades Ubuntu to 18.04LTS.

dpkg fails with:
Code: [Select]
...
fetchmail: no mailservers have been specified.
...

This causes all of the Zentyal mail packages to fail to configure. The upgrade is stuck at around 98% completion...

I don't use any fetches from other mail servers, and probably never will, so of course no mailservers are configured!

How can I get around this?
« Last Edit: December 06, 2019, 02:35:06 pm by Giblet535 »

Giblet535

  • Zen Apprentice
  • *
  • Posts: 15
  • Karma: +1/-0
    • View Profile
[SOLVED] Re: Upgrade from 5.1 - dpkg fails
« Reply #1 on: December 06, 2019, 02:34:33 pm »
I set up a temporary /etc/fetchmailrc to poll the Zentyal server.

That allowed
Code: [Select]
dpkg --configure fetchmailto succeed, so the the remainder of the upgrade can continue.